;------------------------------------------------------------------------------
; Source code template for A251/A51 assembler modules.
; Copyright (c) 1995-2000 KEIL Software, Inc.
;------------------------------------------------------------------------------
; Module name
;------------------------------------------------------------------------------
NAME            module_name

;------------------------------------------------------------------------------
; FONCTION:     
;
;
;------------------------------------------------------------------------------
; AUTEUR		:  C.Dupaty
; Dvelopp le 		:  10/07/08
; Dernire modif le 	:  10/07/08
;------------------------------------------------------------------------------


;#include <reg517A.inc>    ; include dfinition des registres du C Infineon C515C

;------------------------------------------------------------------------------
; XDATA SEGMENT--Reserves space in external RAM--Delete this segment if not used.
;------------------------------------------------------------------------------
xdata_seg_name  SEGMENT XDATA           ; segment for XDATA RAM
                RSEG    xdata_seg_name  ; switch to this xdata segment
xdata_variable: DS      1               ; reserve 1 Bytes for xdata_variable

;------------------------------------------------------------------------------
; DATA SEGMENT--Reserves space in DATA RAM--Delete this segment if not used.
;------------------------------------------------------------------------------
data_seg_name   SEGMENT DATA            ; segment for DATA RAM.
                RSEG    data_seg_name   ; switch to this data segment
data_variable:  DS      1               ; reserve 1 Bytes for data_variable

;------------------------------------------------------------------------------
; IDATA SEGMENT--Reserves space in indirect DATA RAM--Delete this segment if not used.		 
;------------------------------------------------------------------------------
idata_seg_name   SEGMENT IDATA            ; segment for DATA RAM.
                 RSEG    idata_seg_name   ; switch to this data segment
idata_variable:  DS      1               ; reserve 1 Bytes for data_variable

;------------------------------------------------------------------------------
; BIT SEGMENT--Reserves space in BIT RAM--Delete segment if not used.
;------------------------------------------------------------------------------
bit_seg_name    SEGMENT BIT             ; segment for BIT RAM.
                RSEG    bit_seg_name    ; switch to this bit segment
bit_variable:   DBIT    1               ; reserve 1 Bit for bit_variable
bit_variable1:  DBIT    4               ; reserve 4 Bits for bit_variable1

;------------------------------------------------------------------------------
; Add constant (typeless) numbers here.
;------------------------------------------------------------------------------
typeless_number EQU     0DH                     ; assign 0D hex
typeless_num1   EQU     typeless_number-8       ; evaluate typeless_num1





;------------------------------------------------------------------------------
; -- Debugging with Monitor-51 needs                 -- NE PAS DETRUIRE		 
;------------------------------------------------------------------------------
		DSEG	AT 	0x23
RESERVE:	DS 	3		

;------------------------------------------------------------------------------
; STACK SEGMENT--Reserves space for STACK            -- NE PAS DETRUIRE		 
;------------------------------------------------------------------------------
STACK   	SEGMENT IDATA            ; Segment pour la pile 
                RSEG    STACK		 
	  	DS      32               ; Taille de la pile



;------------------------------------------------------------------------------
; Provide an LJMP to start at the reset address (address 0) in the main module.
; You may use this style for interrupt service routines.
;------------------------------------------------------------------------------
                CSEG    AT      0       ; absolute Segment at Address 0
                LJMP    start           ; reset location (jump to start)


;------------------------------------------------------------------------------
; CODE SEGMENT--Reserves space in CODE ROM for assembler instructions.
;------------------------------------------------------------------------------
PROG		SEGMENT CODE
        	RSEG    PROG		   ; switch to this code segment



start:  	MOV	SP,#STACK-1        

;------------------------------------------------------------------------------
; Insert your assembly program here. 
;------------------------------------------------------------------------------
		clr	a
		mov	dptr,#codes
suite:		mov	b,a
		movc	a,@a+dptr	; recupre code 7 seg
		mov	p0,a	; affiche
		mov	a,b
		jb	P3.2,$	; attend bouton enfonc
		jnb	P3.2,$	; attend bouton relach
		inc	a
		cjne	a,#10h,suite
		clr	a
		sjmp	suite		
		

codes:		db	080h,0f2h,048h,060h,032h,024h,004,0f0h,000h,020h,010h,006h,08ch,042h,00ch,01ch
;------------------------------------------------------------------------------
; The END directive is ALWAYS required.
;------------------------------------------------------------------------------
                END             ; End Of File


